<?xml version="1.0"?>
<!DOCTYPE filter SYSTEM "filter.dtd">
<filter title="Advertisements"
 id="1"
 time="979387847"
 desc="A lot of web sites have advertisments. The typical advert has an anchor tag and included the advert image:  &lt;a href=&quot;http://company.com&quot;&gt;&lt;img  src=&quot;http://adserver.de/banner.gif&quot;&gt;&lt;a&gt;.  So we search for the &lt;a&gt; tag and remove it.">

<rewrite title="/werbung"
 id="0"
 time="0"
 desc="Kill links with the german ad word.">
<attr>/werbung</attr>
</rewrite>

<rewrite title="Ad servers 1"
 id="1"
 time="0"
 desc="Kill links with ad words in the host name.">
<attr>http://adse?rv.*\.(com|net)</attr>
</rewrite>

<rewrite title="Ad servers 2"
 id="2"
 time="0"
 desc="Kill links with ad words in the host name.">
<attr>http://.*(doubleclick|adforce|tradedoubler|netadsrv|adrunner)\.</attr>
</rewrite>

<rewrite title="Ad servers 3"
 id="3"
 time="0"
 desc="Kill links with ad words in the host name.">
<attr>http://ad.*\.flycast\.com</attr>
</rewrite>

<rewrite title="Ad servers 4"
 id="4"
 time="0"
 desc="Kill links with ad words in the host name.">
<attr>http://(eur\.)?rd\.yahoo\.com</attr>
</rewrite>

<rewrite title="Ad servers 5"
 id="5"
 time="0"
 desc="Kill links with ad words in the host name.">
<attr>((link|media)exchange|mediaplex|realmedia|imgis|adsynergy|fast(click|counter|graphics)|hitexchange|creative-ads|click(it|finders|burst|here.egroups))\.com</attr>
</rewrite>

<rewrite title="Ad servers 6"
 id="6"
 time="0"
 desc="Kill links with ad words in the host name.">
<attr>http://ads?\d*?(click)?\..*\.(com|net)</attr>
</rewrite>

<rewrite title="Ad servers 7"
 id="7"
 time="0"
 desc="Kill links with ad words in the host name.">
<attr>http://banner.*\.(com|de)</attr>
</rewrite>

<rewrite title="Adverts in the path name 1"
 id="8"
 time="0"
 desc="Kill links with ad words in the path name.">
<attr>/(web)?ad(vert(s)?|click|s)</attr>
</rewrite>

<rewrite title="Adverts in the path name 2"
 id="9"
 time="0"
 desc="Kill links with ad words in the path name.">
<attr>/(banner(s|_redirect|/)|clickit|werbung)</attr>
</rewrite>

<rewrite title="Adverts in the path name 3"
 id="10"
 time="0"
 desc="Kill links with ad words in the path name.">
<attr>/event\.ng/Type=click</attr>
</rewrite>

<rewrite title="Adverts in the path name 4"
 id="11"
 time="0"
 desc="Kill links with ad words in the path name.">
<attr>\.eu-adcenter\.net</attr>
</rewrite>

<rewrite title="Adverts in the path name 5"
 id="27"
 time="0"
 desc="Found at debianhelp.org"
 tag="img">
<attr name="src">/images/vbanners</attr>
</rewrite>

<image title="Banner at rootprompt.org"
 id="12"
 time="0"
 desc="The website rootprompt.org has a banner image."
 width="468"
 height="60"/>

<block title="CGI adverts 1"
 id="13"
 time="0"
 desc="Search for the words &quot;ad&quot; and &quot;click&quot;  in the path and a non-empty query."
 path="(ad.*click|click.*thr|click.*ad)"
 query=".+">http://localhost/</block>

<rewrite title="CGI adverts 2"
 id="14"
 time="0"
 desc="This rule matches GIFs served by CGI and with advert words in the path.">
<attr>/cgi-bin/ads?(log)?.*([=&amp;?]|\.gif)</attr>
</rewrite>

<block title="CGI adverts 3"
 id="15"
 time="0"
 desc="Search for advert,banner,adid,profileid in the path  and for a non-empty query."
 path="(advert|banner|adid|profileid)"
 query=".+"/>

<rewrite title="CGI adverts 4"
 id="16"
 time="0"
 desc="This rule matches GIFs served by CGI and with advert words in the path.">
<attr>/cgi-acc/clickthru.acc\?</attr>
</rewrite>

<rewrite title="CGI adverts 5"
 id="17"
 time="0"
 desc="Kill links with ad words in the path name.">
<attr>/cgi-bin/bannerclick</attr>
</rewrite>

<rewrite title="Deja.com adverts"
 id="18"
 time="0"
 desc="Kill links with ad words in the host name.">
<attr>www\.deja\.com/jump/</attr>
</rewrite>

<rewrite title="German ad servers"
 id="19"
 time="0"
 desc="Kill links with ad words in the host name.">
<attr>(adlink|microexchange|sponsornetz|spezialreporte|emedia|bannercommunity)\.de</attr>
</rewrite>

<rewrite title="Heise advert tag"
 id="28"
 time="979246063"
 desc="www.heise.de has an advert tag. Nice :)"
 tag="heiseadvert">
</rewrite>

<rewrite title="Heise advert tag 2"
 id="29"
 time="979387847"
 desc="heise.de"
 tag="contentbanner">
</rewrite>

<block title="Hosts without DNS name"
 id="20"
 time="0"
 desc="If a host has no DNS name it consists only of numbers, for  example &quot;http://34.55.124.2&quot;. A lot of adverts are loaded from such servers. We restrict it further more for CGI queries which fetch GIF images."
 host="^[\d.]+$"
 query="\.gif$"/>

<rewrite title="Remove &lt;ilayer&gt; tag"
 id="21"
 time="0"
 desc="Lots of ads come nowadays in ilayer tags."
 tag="ilayer">
</rewrite>

<rewrite title="Remove &lt;layer&gt; tag"
 id="22"
 time="0"
 desc="Dont know some example sites, but I dont want layers."
 disable="1"
 tag="layer">
</rewrite>

<rewrite title="Use the &lt;nolayer&gt; tag"
 id="23"
 time="0"
 desc="If we remove the &lt;ilayer&gt; and &lt;layer&gt;, use the &lt;nolayer&gt; content."
 disable="1"
 tag="nolayer">
<replace part="tag"/>
</rewrite>

<rewrite title="adbouncer"
 id="24"
 time="0"
 desc="Kill links with ad words in the path name.">
<attr>/adbouncer\.phtml</attr>
</rewrite>

<rewrite title="easy-cash"
 id="25"
 time="0"
 desc="Kill links with ad words in the host name.">
<attr>easy-cash</attr>
</rewrite>

<rewrite title="wohin.heute.de"
 id="26"
 time="0"
 desc="Scheissendreck Werbeframe auf wohin.heute.de, wech damit."
 tag="head">
<enclosed>Werbeframe</enclosed>
<replace part="enclosed"/>
</rewrite>
</filter>